osspec
3
HAL Library

# osspec

## Synopsis

    void        osspec_privileged_init          (void);
    void        osspec_init                     (void);
    void        osspec_probe                    (void);
    void        osspec_probe_done               (void);
    gboolean    osspec_device_rescan            (HalDevice *d);
    gboolean    osspec_device_reprobe           (HalDevice *d);
    DBusHandlerResult osspec_filter_function    (DBusConnection *connection,
                                                 DBusMessage *message,
                                                 void *user_data);

## Description

## Details

### osspec_privileged_init ()

    void        osspec_privileged_init          (void);

### osspec_init ()

    void        osspec_init                     (void);

### osspec_probe ()

    void        osspec_probe                    (void);

### osspec_probe_done ()

    void        osspec_probe_done               (void);

### osspec_device_rescan ()

    gboolean    osspec_device_rescan            (HalDevice *d);

`d` :

Returns :

### osspec_device_reprobe ()

    gboolean    osspec_device_reprobe           (HalDevice *d);

`d` :

Returns :

### osspec_filter_function ()

    DBusHandlerResult osspec_filter_function    (DBusConnection *connection,
                                                 DBusMessage *message,
                                                 void *user_data);

`connection` :

`message` :

`user_data` :

Returns :